<div class="blue-circle"></div>

<ion-header no-border>
  <ion-navbar transparent>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>Launch details</ion-title>
  </ion-navbar>
</ion-header>

<ion-content parallax-header no-bounce>
  <div class="header-image">
    <div *ngIf="launch.links.mission_patch" class="header-image-dynamic" [style.background-image]="'url(' + launch.links.mission_patch + ')'"></div>
    <div *ngIf="! launch.links.mission_patch" class="header-image-dynamic" style="background-image:url('assets/imgs/space-x.png')"></div>
  </div>

  <div class="main-content">
    <div *ngIf="launch">
      <ion-grid class="border-top-grey">
        <ion-row>
          <ion-col text-center>
            <div class="font-bold">Customers</div>
            <div class="col-value">{{ launch.rocket.second_stage.payloads[0].customers }}</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">Payload</div>
            <div class="col-value">{{ launch.rocket.second_stage.payloads[0].payload_type }}</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">Orbit</div>
            <div class="col-value">{{ launch.rocket.second_stage.payloads[0].orbit  }}</div>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-card-content *ngIf="launch.details">
        <div class="card-title-md theme-title">
          <div class="theme-title-lined">Details</div>
        </div>

        <p>{{ launch.details }}</p>
      </ion-card-content>

      <ion-card class="theme-list-item" (tap)="viewRocket(launch.rocket)">
        <ion-item>
          <ion-card-content no-padding>
            <ion-card-title class="theme-title">
              Rocket

              <div class="theme-subtitle">{{ launch.rocket.rocket_name }}</div>
            </ion-card-title>
          </ion-card-content>

          <button ion-button clear item-end>
            View
            <ion-icon name="arrow-forward" class="ml-10"></ion-icon>
          </button>
        </ion-item>
      </ion-card>

      <ion-card class="theme-list-item" (tap)="viewLaunchSite(launch.launch_site)">
        <ion-item>
          <ion-card-content no-padding>
            <ion-card-title class="theme-title">
              Launch site

              <div class="theme-subtitle">{{ launch.launch_site.site_name }}</div>
            </ion-card-title>
          </ion-card-content>

          <button ion-button clear item-end>
            View
            <ion-icon name="arrow-forward" class="ml-10"></ion-icon>
          </button>
        </ion-item>
      </ion-card>

      <ion-card-content>
        <div class="card-title-md theme-title reversed">
          <div class="theme-title-lined">News</div>
        </div>
      </ion-card-content>

      <ion-grid no-padding>
        <ion-row>
          <ion-col *ngIf="launch.links.reddit_campaign" text-center (click)="openURL(launch.links.reddit_campaign)">
            <button ion-button icon-left clear class="font-18"><ion-icon name="logo-reddit"></ion-icon></button>
            <div class="theme-view-more">View more ></div>
            <div class="color-light-grey">Reddit</div>
          </ion-col>
          <ion-col *ngIf="launch.links.article_link" text-center (click)="openURL(launch.links.article_link)">
            <button ion-button icon-left clear class="font-18"><ion-icon name="paper"></ion-icon></button>
            <div class="theme-view-more">View more ></div>
            <div class="color-light-grey">Article</div>
          </ion-col>
          <ion-col *ngIf="launch.links.video_link" text-center (click)="openURL(launch.links.video_link)">
            <button ion-button icon-left clear class="font-18"><ion-icon name="logo-youtube"></ion-icon></button>
            <div class="theme-view-more">View more ></div>
            <div class="color-light-grey">YouTube</div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
  </div>

</ion-content>
